com.io7m.jcanephora.texture.loader.core

## Class JCGLTLTextureUpdateProvider

- java.lang.Object
- - com.io7m.jcanephora.texture.loader.core.JCGLTLTextureUpdateProvider

- All Implemented Interfaces:
    JCGLTLTextureUpdateProviderType

      public final class JCGLTLTextureUpdateProvider
      extends Object
      implements JCGLTLTextureUpdateProviderType

  The default implementation of the `JCGLTLTextureUpdateProviderType` interface.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JCGLTexture2DUpdateType` | `createTextureUpdate2D(JCGLTexture2DUsableType t, JCGLTLTextureDataType data)` Populate and return a texture update for `t` using the contents of `data`.
    `JCGLTextureCubeUpdateType` | `createTextureUpdateCube(JCGLTextureCubeUsableType t, JCGLTLTextureDataType data)` Populate and return a texture update for `t` using the contents of `data`.
    `static JCGLTLTextureUpdateProviderType` | `newProvider()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newProvider

          public static JCGLTLTextureUpdateProviderType newProvider()

      Returns:
        A new texture update provider

    - #### createTextureUpdate2D

          public JCGLTexture2DUpdateType createTextureUpdate2D(JCGLTexture2DUsableType t,
                                                               JCGLTLTextureDataType data)

      Description copied from interface: `JCGLTLTextureUpdateProviderType`
      Populate and return a texture update for `t` using the contents of `data`. The width and height of `data` must be less than or equal to the width and height of `t`.
      Specified by:
        `createTextureUpdate2D` in interface `JCGLTLTextureUpdateProviderType`
      Parameters:
        `t` - The texture
        `data` - The update data
      Returns:
        A texture update

    - #### createTextureUpdateCube

          public JCGLTextureCubeUpdateType createTextureUpdateCube(JCGLTextureCubeUsableType t,
                                                                   JCGLTLTextureDataType data)

      Description copied from interface: `JCGLTLTextureUpdateProviderType`
      Populate and return a texture update for `t` using the contents of `data`. The width and height of `data` must be less than or equal to the width and height of `t`.
      Specified by:
        `createTextureUpdateCube` in interface `JCGLTLTextureUpdateProviderType`
      Parameters:
        `t` - The texture
        `data` - The update data
      Returns:
        A texture update

Copyright © 2017 <code@io7m.com> http://io7m.com